%define upstream_name    Test-Run-Plugin-BreakOnFailure
%define upstream_version v0.0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Break on the first test failure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Build) >= 0.390.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine) >= 0.12.0
BuildRequires: perl(Test::Run::CmdLine::Trap::ProveApp)
BuildRequires: perl(Test::Run::Core) >= 0.12.0
BuildRequires: perl(Test::Trap)
BuildArch:  noarch

%description
This is a the Test::Run::CmdLine manpage plugin that terminates the test
suite after the first failing test script. This way, you can know more
quickly in case something went wrong.

To enable, add 'BreakOnFailure' to the 'HARNESS_PLUGINS' environment
variable and set the 'HARNESS_BREAK' environment variable to a true value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.0.2-3.mga4
+ Revision: 515249
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.2-2.mga3
+ Revision: 373774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.0.2-1.mga3
+ Revision: 330177
- update to v0.0.2

* Tue Oct 16 2012 shlomif <shlomif> 0.0.1-1.mga3
+ Revision: 307288
- imported package perl-Test-Run-Plugin-BreakOnFailure


* Tue Oct 16 2012 cpan2dist v0.0.1-1mga
- initial mageia release, generated with cpan2dist
